<!DOCTYPE html>
<html style="font-size: 30px; text-align: center; ">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>

	<header>
		<h1>HTML Tables and Forms</h1>
	</header>


<main>
	<section>
		<h1>HTML Entitites</h1>

			<p>
				<em>Reserver characters in HTML (e.g. &lt; or &gt; characters that can mix up with the HTML Code) </em>
			</p>

				<!-- <table> tag defines an HTML table that allows us to represent data in a tabular form -->
			<table border="1" style="margin-left: auto;margin-right: auto;">
						<!-- <thead> is used to groupe table header content -->
					<thead>
						<!-- <tr> defines a table row -->
						<tr>
						<!-- <th> defines table header element -->
							<th>Entity</th>
							<th colspan="2">Description</th>
								<!-- "colspan" changes the amount of columns a table element will occupy -->
						</tr>
					</thead>

				<tbody>
					<tr>
					<!-- defines a table element -->
						<td align="center">&lt;</td>
						<td>lt</td>
						<td>Less Than</td>
					</tr>
						
					<tr>
						<td align="center">&gt;</td>
						<td>gt</td>
						<td>Greater Than</td>
					</tr>

					<tr>
						<td align="center">&#8369;</td>
						<td>#8369</td>
						<td>Peso Sign</td>
					</tr>
						
					<tr>
						<td align="center">&amp;</td>
						<td>amp</td>
						<td>Ampersand</td>
					</tr>
						
					<tr>
						<td align="center">&quot;</td>
						<td>quot</td>
						<td>Double quotation mark</td>
					</tr>
						
					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>Single quotation mark (apostrophe)</td>
					</tr>
						
					<tr>
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>Lower <em>n</em> tilde</td>
					</tr>
						
					<tr>
						<td>&Ntilde;</td>
						<td>Ntilde</td>
						<td>Upper <em>n</em> tilde</td>
					</tr>
				</tbody>

						<!-- <tfoot> Used to group footer content in an HTML table  -->
				<tfoot>
					<tr>
						<th colspan="3">List of HTML Entities</th>
					</tr>
				</tfoot>
			</table>
				<br>
	</section>

	<section>
			<h1>HTML Forms</h1>
				<p>
					<em>Input elements that make up a form.</em>
				</p>

				<!-- <form> tag creates an html form that captures user input -->
				<!-- "action" attribute is used to define where the information will be sent upon submission -->
					
				<form 
					action="https://www.google.com/search?q=">

					<label for="full_name">*Full Name:</label>
						<br>
					
					<input type="text" name="full_name" id="full_name" required autocomplete>
						<br>

					<label for="birth_date">Birth Date:</label>
					<br>
					<input type="date" name="birth_date" id="birth_date" >
					<br>

					<label for="age">Age:</label>
						<br>
					<input type="number" name="age" id="age" >
						<br>

					<label for="gender">Gender:</label>
						<br>
					<!-- <select> tag creates an option for dropdown based on the nested option tags -->
					<select name="gender" id="gender">
						<option value="Male">Male</option>
						<option value="Female">Female</option>
					</select>
						<br>

					<label for="notes">Notes:</label>
						<br>
					<textarea name="notes" id="notes" rows="5"></textarea>
						<br>
					<label>New User:</label>
						<br>
					<input type="radio" name="new_old_user" id="new_user" value="yes">
						<label for="new_user">Yes</label>
					<input type="radio" name="new_old_user" id="old_user" value="no">
						<label for="old_user">No</label>
						<br>

					<label>Role:</label>
						<br>
					<input type="checkbox" name="role1" id="role1" value="developer">
						<label for="role1">Developer</label>
					<input type="checkbox" name="role2" id="role2" value="manager">
						<label for="role2">Manager</label>
					<input type="checkbox" name="role3" id="role3" value="student">
						<label for="role3">Student</label>
							<br>
						<button>Submit</button>
							<br>
						<button type="reset">Reset</button>
					</form>
			</section>
		</main>
	</body>
</html>

<!-- 
snake_case
camelCase
kebab-case
PascalCase
 -->